#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - asterisk-chan-capi preinstallation
#
# Creation   :  2014-10-24 holbru
# Last update:  $Id: preinstall.sh 8124 2014-11-24 12:40:00Z holbru $
#
# Copyright (c) 2014-2015 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=asterisk-chan-capi


# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
if [ -f "/var/install/deinstall/${package_name}" ]
then
    /var/install/bin/del-package -p ${package_name} --update
fi

# ---------------------------------------------------------------------------
# remove permissions - changes now in the CAPI package
# ---------------------------------------------------------------------------
_user='asterisk'
_capi_group='uucp'

/var/install/bin/remove-user-from-additional-group --user ${_user} \
                                                   --group ${_capi_group}
exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
